---
sidebar_label: ConnectionTransport
---

# ConnectionTransport interface

**Signature:**

```typescript
export interface ConnectionTransport
```

## Properties

| Property                                                   | Modifiers | Type                         | Description       |
| ---------------------------------------------------------- | --------- | ---------------------------- | ----------------- |
| [onclose?](./puppeteer.connectiontransport.onclose.md)     |           | () =&gt; void                | <i>(Optional)</i> |
| [onmessage?](./puppeteer.connectiontransport.onmessage.md) |           | (message: string) =&gt; void | <i>(Optional)</i> |

## Methods

| Method                                                   | Description |
| -------------------------------------------------------- | ----------- |
| [close()](./puppeteer.connectiontransport.close.md)      |             |
| [send(message)](./puppeteer.connectiontransport.send.md) |             |
